-- keep in mind that I still use old difficulty names in the code: Creator is Pro, Madman is Insane

-- reduce starting warriors from 1-7 to 1-4 and add some scouts instead

INSERT INTO MajorStartingUnits (Unit, Era, District, Quantity, NotStartTile, OnDistrictCreated, AiOnly, MinDifficulty, DifficultyDelta)
VALUES ('UNIT_SCOUT', 'ERA_ANCIENT', 'DISTRICT_CITY_CENTER', 1, 0, 1, 1, 'DIFFICULTY_IMMORTAL', 1);

DELETE FROM MajorStartingUnits WHERE Unit='UNIT_BUILDER' AND AiOnly=1;

-- add free ranged unit on founding/conquering a city at immortal or above

INSERT OR IGNORE INTO Modifiers
		(ModifierId, 								ModifierType,												SubjectRequirementSetId,		RunOnce,	Permanent)
VALUES	('JNR_AI_BONUS_DISTRICT_GRANT_RANGED',		'MODIFIER_SINGLE_CITY_GRANT_UNIT_BY_CLASS_IN_NEAREST_CITY',	'IMMORTAL_DIFFICULTY',	1,			1);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId, 								Name,						Value)
VALUES	('JNR_AI_BONUS_DISTRICT_GRANT_RANGED',		'UnitPromotionClassType',	'PROMOTION_CLASS_RANGED');

INSERT OR IGNORE INTO DistrictModifiers
		(DistrictType,				ModifierId)
VALUES	('DISTRICT_CITY_CENTER',	'JNR_AI_BONUS_DISTRICT_GRANT_RANGED');

-- Remove Barbarian gold scaling, set base difficulty scaling for all the stats.

UPDATE ModifierArguments SET Extra=0 WHERE Name='Amount' AND ModifierId='BARBARIAN_CAMP_GOLD_SCALING';

UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_PRODUCTION_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_GOLD_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_SCIENCE_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_CULTURE_SCALING';
UPDATE ModifierArguments SET Value=0	WHERE Name='Amount'				AND ModifierId='HIGH_DIFFICULTY_FAITH_SCALING';

UPDATE ModifierArguments SET Extra=10 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_GOLD_SCALING';
UPDATE ModifierArguments SET Extra=10 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_FAITH_SCALING';
UPDATE ModifierArguments SET Extra=10 WHERE Name='Amount' AND ModifierId='HIGH_DIFFICULTY_PRODUCTION_SCALING';

UPDATE	ModifierArguments 
SET		Extra=3
WHERE	ModifierId = 'HIGH_DIFFICULTY_SCIENCE_SCALING' 
	AND Name = 'Amount';

UPDATE	ModifierArguments 
SET		Extra=3
WHERE	ModifierId = 'HIGH_DIFFICULTY_CULTURE_SCALING' 
	AND Name = 'Amount';

-- flat food bonus

INSERT INTO Modifiers 
		('ModifierId',						'ModifierType',											'OwnerRequirementSetId')
VALUES	('HIGH_DIFFICULTY_FOOD_SCALING',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments 
		('ModifierId',							'Name',			'Type',							'Value',		'Extra',	'SecondExtra')
VALUES	('HIGH_DIFFICULTY_FOOD_SCALING',	'Amount',		'LinearScaleFromDefaultHandicap',	0,				1,			NULL),
		('HIGH_DIFFICULTY_FOOD_SCALING',	'YieldType',	'ARGTYPE_IDENTITY',					'YIELD_FOOD',	NULL,		NULL);

INSERT INTO TraitModifiers (TraitType, ModifierId)
VALUES	('TRAIT_LEADER_MAJOR_CIV',	'HIGH_DIFFICULTY_FOOD_SCALING');

-- Bonus economic slot for AI at Political Philosophy, bonus wildcard slot for AI at Ideology

INSERT OR IGNORE INTO Modifiers
		(ModifierId, 								ModifierType,												SubjectRequirementSetId,		RunOnce,	Permanent)
VALUES	('JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT',	'MODIFIER_PLAYER_CULTURE_ADJUST_GOVERNMENT_SLOTS_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI',	0,			0),
		('JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT',	'MODIFIER_PLAYER_CULTURE_ADJUST_GOVERNMENT_SLOTS_MODIFIER',	'PLAYER_IS_HIGH_DIFFICULTY_AI',	0,			0);

INSERT OR IGNORE INTO ModifierArguments
		(ModifierId, 								Name,					Value)
VALUES	('JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT',	'GovernmentSlotType',	'SLOT_ECONOMIC'),
		('JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT',	'GovernmentSlotType',	'SLOT_WILDCARD');

INSERT OR IGNORE INTO CivicModifiers
		(CivicType,	ModifierId)
VALUES	('CIVIC_POLITICAL_PHILOSOPHY',	'JNR_AI_BONUS_ECONOMIC_GOVERNMENT_SLOT'),
		('CIVIC_IDEOLOGY',				'JNR_AI_BONUS_WILDCARD_GOVERNMENT_SLOT');

-- Fixes AI not improving Luxury resources with Monopolies mode active
UPDATE Improvements SET PrereqTech=NULL WHERE ImprovementType='IMPROVEMENT_CORPORATION';

-- flat tourism modifier for human player

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'PLAYER_TOURISM_SCALING');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('PLAYER_TOURISM_SCALING', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'PLAYER_IS_HIGH_DIFFICULTY_HUMAN');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('PLAYER_TOURISM_SCALING', 'Amount', 'LinearScaleFromDefaultHandicap', 15, 0);

-- builder charges

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_BUILDERCHARGES');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_BUILDERCHARGES', 'MODIFIER_PLAYER_UNITS_ADJUST_BUILDER_CHARGES', 'HIGH_DIFFICULTY_AI_EMPEROR');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_BUILDERCHARGES', 'Amount', 'LinearScaleFromDefaultHandicap', -0.5, 0.5);

--loyalty modifier

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_LOYALTY');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_LOYALTY', 'MODIFIER_PLAYER_CITIES_ADJUST_IDENTITY_PER_TURN', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_LOYALTY', 'Amount', 'LinearScaleFromDefaultHandicap', 0.5, 0.5);

-- extra aluminium and spacerace production to help with exoplanet

INSERT INTO TechnologyModifiers (TechnologyType, ModifierId) VALUES
('TECH_OFFWORLD_MISSION', 'LGAI_OFFWORLD_ALUMINIUM');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_OFFWORLD_ALUMINIUM', 'MODIFIER_PLAYER_ADJUST_FREE_RESOURCE_IMPORT_EXTRACTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value) VALUES
('LGAI_OFFWORLD_ALUMINIUM', 'ResourceType', 'ARGTYPE_IDENTITY', 'RESOURCE_ALUMINUM'),
('LGAI_OFFWORLD_ALUMINIUM', 'Amount', 'ARGTYPE_IDENTITY', '30');

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'SCIENCE_VP_FUTURE_MADMAN');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('SCIENCE_VP_FUTURE_MADMAN', 'MODIFIER_PLAYER_ADJUST_SCIENCE_VICTORY_POINTS_PER_TURN', 'HIGH_DIFFICULTY_AI_FUTURE_MADMAN');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('SCIENCE_VP_FUTURE_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 2, 0);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_SPACEPRODUCTION');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_SPACEPRODUCTION', 'MODIFIER_PLAYER_CITIES_ADJUST_SPACE_RACE_PROJECTS_PRODUCTION', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_SPACEPRODUCTION', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 10);

-- +1 Influence points at player Renaissance and +2 Influence points at player Atomic per difficulty above Prince (rest are placeholders for later calibration with values of 0)


INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'INFLUENCEP_RENAISSANCE_KING');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('INFLUENCEP_RENAISSANCE_KING', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 'HIGH_DIFFICULTY_AI_RENAISSANCE_KING');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('INFLUENCEP_RENAISSANCE_KING', 'Amount', 'LinearScaleFromDefaultHandicap', -1, 1);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'INFLUENCEP_ATOMIC_KING');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('INFLUENCEP_ATOMIC_KING', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 'HIGH_DIFFICULTY_AI_ATOMIC_KING');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('INFLUENCEP_ATOMIC_KING', 'Amount', 'LinearScaleFromDefaultHandicap', -2, 2);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'INFLUENCEP_MADMAN');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('INFLUENCEP_MADMAN', 'MODIFIER_PLAYER_ADJUST_INFLUENCE_POINTS_PER_TURN', 'HIGH_DIFFICULTY_AI_MADMAN');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('INFLUENCEP_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 6, 0);

-- give AI 1 extra religious spread per difficulty above Emperor

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'RELIGIOUS_SPREADS_SCALING');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId, SubjectRequirementSetId, Permanent) VALUES
('RELIGIOUS_SPREADS_SCALING', 'MODIFIER_PLAYER_UNITS_RELIGIOUS_SPREADS', 'HIGH_DIFFICULTY_AI_IMMORTAL', 'UNIT_IS_RELIGIOUS', 1);

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('RELIGIOUS_SPREADS_SCALING', 'Amount', 'LinearScaleFromDefaultHandicap', -3, 1);


-- 8% discount per difficulty on religious units

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'APOSTLE_DISCOUNT_DEITY_MODIFIER');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('APOSTLE_DISCOUNT_DEITY_MODIFIER', 'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_PURCHASE_COST', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
('APOSTLE_DISCOUNT_DEITY_MODIFIER', 'UnitType', 'UNIT_APOSTLE');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('APOSTLE_DISCOUNT_DEITY_MODIFIER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 8);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'GURU_DISCOUNT_DEITY_MODIFIER');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('GURU_DISCOUNT_DEITY_MODIFIER', 'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_PURCHASE_COST', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
('GURU_DISCOUNT_DEITY_MODIFIER', 'UnitType', 'UNIT_GURU');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('GURU_DISCOUNT_DEITY_MODIFIER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 8);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'MISSIONARY_DISCOUNT_DEITY_MODIFIER');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('MISSIONARY_DISCOUNT_DEITY_MODIFIER', 'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_PURCHASE_COST', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
('MISSIONARY_DISCOUNT_DEITY_MODIFIER', 'UnitType', 'UNIT_MISSIONARY');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('MISSIONARY_DISCOUNT_DEITY_MODIFIER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 8);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'INQUISITOR_DISCOUNT_DEITY_MODIFIER');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('INQUISITOR_DISCOUNT_DEITY_MODIFIER', 'MODIFIER_PLAYER_CITIES_ADJUST_UNIT_PURCHASE_COST', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Value) VALUES
('INQUISITOR_DISCOUNT_DEITY_MODIFIER', 'UnitType', 'UNIT_INQUISITOR');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('INQUISITOR_DISCOUNT_DEITY_MODIFIER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 8);

--unit upgrade discount and maintenance

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_UNIT_MAINTENANCE');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_UNIT_MAINTENANCE', 'MODIFIER_PLAYER_ADJUST_UNIT_MAINTENANCE_DISCOUNT', 'HIGH_DIFFICULTY_AI_IMMORTAL');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_UNIT_MAINTENANCE', 'Amount', 'LinearScaleFromDefaultHandicap', 0.5, 0.5);

INSERT INTO TraitModifiers (TraitType, ModifierId) VALUES
('TRAIT_LEADER_MAJOR_CIV', 'LGAI_UNIT_UPGRADE_GOLD');

INSERT INTO Modifiers (ModifierId, ModifierType, OwnerRequirementSetId) VALUES
('LGAI_UNIT_UPGRADE_GOLD', 'MODIFIER_PLAYER_ADJUST_UNIT_UPGRADE_DISCOUNT_PERCENT', 'PLAYER_IS_HIGH_DIFFICULTY_AI');

INSERT INTO ModifierArguments (ModifierId, Name, Type, Value, Extra) VALUES
('LGAI_UNIT_UPGRADE_GOLD', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 5);

-- main scaling modifiers

INSERT INTO Modifiers 
		(ModifierId,						ModifierType,											OwnerRequirementSetId) 
VALUES		('AMENITY_MADMAN', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_MADMAN'),
		('AMENITY_SCALING_CLASSICAL', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('AMENITY_SCALING_MEDIEVAL', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('AMENITY_SCALING_RENAISSANCE', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('AMENITY_SCALING_INDUSTRIAL', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('AMENITY_SCALING_MODERN', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('AMENITY_SCALING_ATOMIC', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('AMENITY_SCALING_INFO', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('AMENITY_SCALING_FUTURE', 'MODIFIER_PLAYER_CITIES_ADJUST_POLICY_AMENITY', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_CLASSICAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('TOURISM_SCALING_MEDIEVAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('TOURISM_SCALING_RENAISSANCE', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('TOURISM_SCALING_INDUSTRIAL', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('TOURISM_SCALING_MODERN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('TOURISM_SCALING_ATOMIC', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('TOURISM_SCALING_INFO', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('TOURISM_SCALING_FUTURE', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('TOURISM_SCALING_CLASSICAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('TOURISM_SCALING_MODERN_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN'),
		('TOURISM_SCALING_ATOMIC_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC'),
		('TOURISM_SCALING_INFO_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO'),
		('TOURISM_SCALING_FUTURE_PLAYER', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE'),
		('TOURISM_SCALING_CLASSICAL_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_DEITY'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY'),
		('TOURISM_SCALING_MODERN_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_DEITY'),
		('TOURISM_SCALING_ATOMIC_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_DEITY'),
		('TOURISM_SCALING_INFO_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_DEITY'),
		('TOURISM_SCALING_FUTURE_PLAYER_DEITY', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_DEITY'),
		('TOURISM_SCALING_CLASSICAL_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR'),
		('TOURISM_SCALING_MODERN_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_CREATOR'),
		('TOURISM_SCALING_ATOMIC_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_CREATOR'),
		('TOURISM_SCALING_INFO_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_CREATOR'),
		('TOURISM_SCALING_FUTURE_PLAYER_CREATOR', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_CREATOR'),
		('TOURISM_SCALING_CLASSICAL_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN'),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN'),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN'),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN'),
		('TOURISM_SCALING_MODERN_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_MODERN_MADMAN'),
		('TOURISM_SCALING_ATOMIC_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_ATOMIC_MADMAN'),
		('TOURISM_SCALING_INFO_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_INFO_MADMAN'),
		('TOURISM_SCALING_FUTURE_PLAYER_MADMAN', 'MODIFIER_PLAYER_ADJUST_TOURISM', 'HIGH_DIFFICULTY_AI_FUTURE_MADMAN'),
		('SCIENCE_SCALING_CLASSICAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('SCIENCE_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('SCIENCE_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('SCIENCE_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('SCIENCE_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('SCIENCE_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('SCIENCE_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('SCIENCE_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('CULTURE_SCALING_CLASSICAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('CULTURE_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('CULTURE_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('CULTURE_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('CULTURE_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('CULTURE_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('CULTURE_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('CULTURE_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_ERA'),
		('SCIENCE_SCALING_CLASSICAL_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN'),
		('SCIENCE_SCALING_MEDIEVAL_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN'),
		('SCIENCE_SCALING_RENAISSANCE_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN'),
		('SCIENCE_SCALING_INDUSTRIAL_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN'),
		('SCIENCE_SCALING_MODERN_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_MADMAN'),
		('SCIENCE_SCALING_ATOMIC_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_MADMAN'),
		('SCIENCE_SCALING_INFO_MADMAN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_MADMAN'),
		('SCIENCE_SCALING_FUTURE_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_MADMAN'),
		('CULTURE_SCALING_CLASSICAL_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN'),
		('CULTURE_SCALING_MEDIEVAL_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN'),
		('CULTURE_SCALING_RENAISSANCE_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN'),
		('CULTURE_SCALING_INDUSTRIAL_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN'),
		('CULTURE_SCALING_MODERN_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_MADMAN'),
		('CULTURE_SCALING_ATOMIC_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_MADMAN'),
		('CULTURE_SCALING_INFO_MADMAN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_MADMAN'),
		('CULTURE_SCALING_FUTURE_MADMAN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_MADMAN'),
		('FAITH_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('FAITH_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('FAITH_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('FAITH_SCALING_INDUSTRIAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('FAITH_SCALING_MODERN',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('FAITH_SCALING_ATOMIC',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('FAITH_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('FAITH_SCALING_FUTURE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('PRODUCTION_SCALING_CLASSICAL',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('PRODUCTION_SCALING_MEDIEVAL',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('PRODUCTION_SCALING_RENAISSANCE',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('PRODUCTION_SCALING_INDUSTRIAL',	'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('PRODUCTION_SCALING_MODERN',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('PRODUCTION_SCALING_ATOMIC',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('PRODUCTION_SCALING_INFO',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('PRODUCTION_SCALING_FUTURE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('GOLD_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL'),
		('GOLD_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL'),
		('GOLD_SCALING_RENAISSANCE',		'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE'),
		('GOLD_SCALING_INDUSTRIAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL'),
		('GOLD_SCALING_MODERN',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN'),
		('GOLD_SCALING_ATOMIC',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC'),
		('GOLD_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO'),
		('GOLD_SCALING_FUTURE',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE'),
		('FOOD_SCALING_CLASSICAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_CLASSICAL_ERA'),
		('FOOD_SCALING_MEDIEVAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MEDIEVAL_ERA'),
		('FOOD_SCALING_RENAISSANCE',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_RENAISSANCE_ERA'),
		('FOOD_SCALING_INDUSTRIAL',			'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA'),
		('FOOD_SCALING_MODERN',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_MODERN_ERA'),
		('FOOD_SCALING_ATOMIC',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_ATOMIC_ERA'),
		('FOOD_SCALING_INFO',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_INFO_ERA'),
		('FOOD_SCALING_FUTURE',				'MODIFIER_PLAYER_CITIES_ADJUST_CITY_YIELD_MODIFIER',	'HIGH_DIFFICULTY_AI_FUTURE_ERA');

INSERT INTO TraitModifiers 
		(TraitType,						ModifierId) 
VALUES		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'AMENITY_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER_DEITY'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER_CREATOR'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_CLASSICAL_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MEDIEVAL_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_RENAISSANCE_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INDUSTRIAL_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_MODERN_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_ATOMIC_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_INFO_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'TOURISM_SCALING_FUTURE_PLAYER_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_CLASSICAL_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MEDIEVAL_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_RENAISSANCE_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INDUSTRIAL_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_MODERN_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_ATOMIC_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_INFO_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'SCIENCE_SCALING_FUTURE_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_CLASSICAL_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MEDIEVAL_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_RENAISSANCE_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INDUSTRIAL_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_MODERN_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_ATOMIC_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_INFO_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'CULTURE_SCALING_FUTURE_MADMAN'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'FAITH_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'PRODUCTION_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'GOLD_SCALING_FUTURE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_CLASSICAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_MEDIEVAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_RENAISSANCE'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_INDUSTRIAL'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_MODERN'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_ATOMIC'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_INFO'),
		('TRAIT_LEADER_MAJOR_CIV',		'FOOD_SCALING_FUTURE');

INSERT INTO ModifierArguments 
		(ModifierId,						Name,			Value) 
VALUES	('SCIENCE_SCALING_CLASSICAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_MEDIEVAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_RENAISSANCE',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_MODERN',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_ATOMIC',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INFO',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_FUTURE',			'YieldType',	'YIELD_SCIENCE'),
		('CULTURE_SCALING_CLASSICAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MEDIEVAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_RENAISSANCE',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MODERN',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_ATOMIC',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INFO',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_FUTURE',			'YieldType',	'YIELD_CULTURE'),
		('SCIENCE_SCALING_MEDIEVAL_MADMAN',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_CLASSICAL_MADMAN',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_RENAISSANCE_MADMAN',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INDUSTRIAL_MADMAN',		'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_MODERN_MADMAN',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_ATOMIC_MADMAN',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_INFO_MADMAN',			'YieldType',	'YIELD_SCIENCE'),
		('SCIENCE_SCALING_FUTURE_MADMAN',			'YieldType',	'YIELD_SCIENCE'),
		('CULTURE_SCALING_CLASSICAL_MADMAN',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MEDIEVAL_MADMAN',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_RENAISSANCE_MADMAN',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INDUSTRIAL_MADMAN',		'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_MODERN_MADMAN',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_ATOMIC_MADMAN',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_INFO_MADMAN',			'YieldType',	'YIELD_CULTURE'),
		('CULTURE_SCALING_FUTURE_MADMAN',			'YieldType',	'YIELD_CULTURE'),
		('FAITH_SCALING_CLASSICAL',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_MEDIEVAL',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_RENAISSANCE',		'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_INDUSTRIAL',		'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_MODERN',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_ATOMIC',			'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_INFO',				'YieldType',	'YIELD_FAITH'),
		('FAITH_SCALING_FUTURE',			'YieldType',	'YIELD_FAITH'),
		('PRODUCTION_SCALING_CLASSICAL',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_MEDIEVAL',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_RENAISSANCE',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_INDUSTRIAL',	'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_MODERN',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_ATOMIC',		'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_INFO',			'YieldType',	'YIELD_PRODUCTION'),
		('PRODUCTION_SCALING_FUTURE',		'YieldType',	'YIELD_PRODUCTION'),
		('GOLD_SCALING_CLASSICAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_MEDIEVAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_RENAISSANCE',		'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_INDUSTRIAL',			'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_MODERN',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_ATOMIC',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_INFO',				'YieldType',	'YIELD_GOLD'),
		('GOLD_SCALING_FUTURE',				'YieldType',	'YIELD_GOLD'),
		('FOOD_SCALING_CLASSICAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_MEDIEVAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_RENAISSANCE',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_INDUSTRIAL',			'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_MODERN',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_ATOMIC',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_INFO',				'YieldType',	'YIELD_FOOD'),
		('FOOD_SCALING_FUTURE',				'YieldType',	'YIELD_FOOD');

INSERT INTO ModifierArguments 
		(ModifierId,						Name,		Type,								Value,	Extra) 
VALUES		('AMENITY_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 	7, 0),
		('AMENITY_SCALING_CLASSICAL', 'Amount', 'LinearScaleFromDefaultHandicap', 	0, 0),
		('AMENITY_SCALING_MEDIEVAL', 'Amount', 'LinearScaleFromDefaultHandicap', 	0, 0.5),
		('AMENITY_SCALING_RENAISSANCE', 'Amount', 'LinearScaleFromDefaultHandicap', 	0, 0),
		('AMENITY_SCALING_INDUSTRIAL', 'Amount', 'LinearScaleFromDefaultHandicap', 	0, 0.5),
		('AMENITY_SCALING_MODERN', 'Amount', 'LinearScaleFromDefaultHandicap', 		0, 0.5),
		('AMENITY_SCALING_ATOMIC', 'Amount', 'LinearScaleFromDefaultHandicap', 		0, 0.5),
		('AMENITY_SCALING_INFO', 'Amount', 'LinearScaleFromDefaultHandicap', 		0, 0.5),
		('AMENITY_SCALING_FUTURE', 'Amount', 'LinearScaleFromDefaultHandicap', 		0, 0.5),
		('TOURISM_SCALING_CLASSICAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MEDIEVAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_RENAISSANCE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INDUSTRIAL', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MODERN', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_ATOMIC', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INFO', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_FUTURE', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_CLASSICAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MEDIEVAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_RENAISSANCE_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', -4, 4),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', -8, 8),
		('TOURISM_SCALING_MODERN_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', -12, 12),
		('TOURISM_SCALING_ATOMIC_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', -16, 16),
		('TOURISM_SCALING_INFO_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', -20, 20),
		('TOURISM_SCALING_FUTURE_PLAYER', 'Amount', 'LinearScaleFromDefaultHandicap', -24, 24),
		('TOURISM_SCALING_CLASSICAL_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_MODERN_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_ATOMIC_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_INFO_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_FUTURE_PLAYER_DEITY', 'Amount', 'LinearScaleFromDefaultHandicap', 0, 0),
		('TOURISM_SCALING_CLASSICAL_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 	0, 0),
		('TOURISM_SCALING_MEDIEVAL_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 	0, 0),
		('TOURISM_SCALING_RENAISSANCE_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 	-70, 14),
		('TOURISM_SCALING_INDUSTRIAL_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 	-140, 28),
		('TOURISM_SCALING_MODERN_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 		-210, 42),
		('TOURISM_SCALING_ATOMIC_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 		-280, 56),
		('TOURISM_SCALING_INFO_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 		-350, 70),
		('TOURISM_SCALING_FUTURE_PLAYER_MADMAN', 'Amount', 'LinearScaleFromDefaultHandicap', 		-420, 84),
		('SCIENCE_SCALING_CLASSICAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('SCIENCE_SCALING_MEDIEVAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('SCIENCE_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		6),
		('SCIENCE_SCALING_INDUSTRIAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		10),
		('SCIENCE_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		15),
		('SCIENCE_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		21),
		('SCIENCE_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		28),
		('SCIENCE_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		36),
		('CULTURE_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('CULTURE_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		3),
		('CULTURE_SCALING_RENAISSANCE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		6),
		('CULTURE_SCALING_INDUSTRIAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		10),
		('CULTURE_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		15),
		('CULTURE_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		21),
		('CULTURE_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		28),
		('CULTURE_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		36),
		('SCIENCE_SCALING_CLASSICAL_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-25,		5), 
		('SCIENCE_SCALING_MEDIEVAL_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-45,		9),
		('SCIENCE_SCALING_RENAISSANCE_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-65,		13),
		('SCIENCE_SCALING_INDUSTRIAL_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-85,		17),
		('SCIENCE_SCALING_MODERN_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-105,		21),
		('SCIENCE_SCALING_ATOMIC_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-125,		25),
		('SCIENCE_SCALING_INFO_MADMAN',			'Amount',	'LinearScaleFromDefaultHandicap',	-145,		29),
		('SCIENCE_SCALING_FUTURE_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-165,		33),
		('CULTURE_SCALING_CLASSICAL_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-25,		5),
		('CULTURE_SCALING_MEDIEVAL_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-45,		9),
		('CULTURE_SCALING_RENAISSANCE_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-65,		13),
		('CULTURE_SCALING_INDUSTRIAL_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-85,		17),
		('CULTURE_SCALING_MODERN_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-105,		21),
		('CULTURE_SCALING_ATOMIC_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-125,		25),
		('CULTURE_SCALING_INFO_MADMAN',			'Amount',	'LinearScaleFromDefaultHandicap',	-145,		29),
		('CULTURE_SCALING_FUTURE_MADMAN',		'Amount',	'LinearScaleFromDefaultHandicap',	-165,		33),
		('FAITH_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_RENAISSANCE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_INDUSTRIAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FAITH_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_CLASSICAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_RENAISSANCE',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_INDUSTRIAL',		'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_MODERN',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_ATOMIC',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_INFO',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('PRODUCTION_SCALING_FUTURE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_RENAISSANCE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_INDUSTRIAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_MODERN',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_ATOMIC',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('GOLD_SCALING_FUTURE',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		5),
		('FOOD_SCALING_CLASSICAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		0),
		('FOOD_SCALING_MEDIEVAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		0),
		('FOOD_SCALING_RENAISSANCE',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FOOD_SCALING_INDUSTRIAL',			'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FOOD_SCALING_MODERN',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FOOD_SCALING_ATOMIC',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FOOD_SCALING_INFO',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		1),
		('FOOD_SCALING_FUTURE',				'Amount',	'LinearScaleFromDefaultHandicap',	0,		1);

--Requirement Sets
INSERT INTO RequirementSets 
		(RequirementSetId,					RequirementSetType) 
VALUES		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_EMPEROR',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_DEITY',		'REQUIREMENTSET_TEST_ALL'),
		('HIGH_DIFFICULTY_AI_MADMAN',		'REQUIREMENTSET_TEST_ALL');


INSERT INTO RequirementSetRequirements 
		(RequirementSetId,					RequirementId) 
VALUES		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA',	'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA',		'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA',	'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA',		'GAME_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA',			'GAME_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA',		'GAME_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'GAME_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_ERA_IMMORTAL',	'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'GAME_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_ERA_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'GAME_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_ERA_IMMORTAL',	'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'GAME_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_ERA_IMMORTAL',	'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'GAME_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_ERA_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'GAME_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_ERA_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'GAME_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_ERA_IMMORTAL',			'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'GAME_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_ERA_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_KING',	'REQUIRES_KING'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_KING',		'REQUIRES_KING'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_DEITY',	'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_DEITY',			'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_CREATOR',	'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_CREATOR',		'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_CREATOR',	'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_CREATOR',	'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_CREATOR',		'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_CREATOR',		'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_CREATOR',			'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_CREATOR',		'REQUIRES_CREATOR'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'PLAYER_AT_CLASSICAL_ERA'),
		('HIGH_DIFFICULTY_AI_CLASSICAL_MADMAN',	'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'PLAYER_AT_MEDIEVAL_ERA'),
		('HIGH_DIFFICULTY_AI_MEDIEVAL_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'PLAYER_AT_RENAISSANCE_ERA'),
		('HIGH_DIFFICULTY_AI_RENAISSANCE_MADMAN',	'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'PLAYER_AT_INDUSTRIAL_ERA'),
		('HIGH_DIFFICULTY_AI_INDUSTRIAL_MADMAN',	'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'PLAYER_AT_MODERN_ERA'),
		('HIGH_DIFFICULTY_AI_MODERN_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'PLAYER_AT_ATOMIC_ERA'),
		('HIGH_DIFFICULTY_AI_ATOMIC_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'PLAYER_AT_INFO_ERA'),
		('HIGH_DIFFICULTY_AI_INFO_MADMAN',			'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'REQUIRES_HIGH_DIFFICULTY'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'PLAYER_AT_FUTURE_ERA'),
		('HIGH_DIFFICULTY_AI_FUTURE_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_EMPEROR',		'REQUIRES_EMPEROR'),
		('HIGH_DIFFICULTY_AI_EMPEROR',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',		'REQUIRES_IMMORTAL'),
		('HIGH_DIFFICULTY_AI_IMMORTAL',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_DEITY',		'REQUIRES_DEITY'),
		('HIGH_DIFFICULTY_AI_DEITY',	'REQUIRES_PLAYER_IS_AI'),
		('HIGH_DIFFICULTY_AI_MADMAN',		'REQUIRES_MADMAN'),
		('HIGH_DIFFICULTY_AI_MADMAN',	'REQUIRES_PLAYER_IS_AI');